<?php
// Copyright 2005 Won-Kyu Park <wkpark at kldp.org>
// All rights reserved. Distributable under GPL see COPYING
// a Wiki comment plugin for the MoniWiki
//
// Usage: [[ImportTable]], ?action=importtable
//
//
// $Id: Comment.php,v 1.9 2005/01/14 08:25:54 wkpark Exp $

function macro_ImportTable($formatter,$value,$options=array()) {
  global $HTTP_USER_AGENT;
  global $DBInfo;

  $COLS_MSIE = 80;
  $COLS_OTHER = 85;
  $cols = preg_match('/MSIE/', $HTTP_USER_AGENT) ? $COLS_MSIE : $COLS_OTHER;

  $rows=$options['rows'] > 10 ? $options['rows']: 10;
  $cols=$options['cols'] > 60 ? $options['cols']: $cols;

  $tabletext=$options['tablecontent'];

  $url=$formatter->link_url($formatter->page->urlname);

  $form = "<form method='post' action='$url'>\n";
  $form.= <<<FORM
<textarea class="wiki" id="content" name="tablecontent"
 rows="$rows" cols="$cols">$tabletext</textarea><br />
FORM;
  if (!$tabletext) {
    $preview=_("Convert");
    $form.= <<<FORM2
<input type="hidden" name="action" value="ImportTable" />
<input type="submit" name="button_preview" value="$preview" />
FORM2;
  }
  $form.="</form>\n";

  return '<div id="commentForm">'.$form.'</div>';
}

function do_ImportTable($formatter,$options=array()) {
  global $DBInfo;
  global $HTTP_USER_AGENT;

  $COLS_MSIE = 80;
  $COLS_OTHER = 85;
  $cols = preg_match('/MSIE/', $HTTP_USER_AGENT) ? $COLS_MSIE : $COLS_OTHER;

  $rows=$options['rows'] > 5 ? $options['rows']: 8;
  $cols=$options['cols'] > 60 ? $options['cols']: $cols;

  $url=$formatter->link_url($formatter->page->urlname);

  if ($options['tablecontent']) {
    $tabletext=_stripslashes($options['tablecontent']);
    $tabletext=str_replace("\r","",$tabletext);
    $tabletext=str_replace("\t","||",$tabletext);
    $tabletext=rtrim($tabletext);
    $lines=explode("\n",$tabletext);
    $tabletext='||'.implode("||\n||",$lines).'||';
  }

  if ($options['tablecontent']) {
    $formatter->send_header("",$options);
    $formatter->send_title(_("Preview"),"",$options);
    $formatter->send_page($tabletext."\n----");
    $options['tablecontent']=$tabletext;
    print macro_ImportTable($formatter,'',$options);
    print $formatter->macro_repl('EditHints');
    $formatter->send_footer("",$options);
    return;
  } else if (!$tabletext) {
    $formatter->send_header("",$options);
    $formatter->send_title(_("Add comment"),"",$options);
    print macro_ImportTable($formatter,'',$options);
    print $formatter->macro_repl('EditHints');
    $formatter->send_footer("",$options);
    return;
  }
}

// vim:et:sts=2:sw=2
?>
